<html>

<%@ page import="com.xerox.docushare.*" %>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.vdf.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.object.VDFRequestImpl" %>
<%@ page import="com.xerox.docushare.amber.util.GenericUtil.*" %>

<%@ page extends="com.xerox.docushare.amber.pages.admin.services.workflow.DeleteArchivePage"%>
<%@ include file="/jsp/common/start.jsp" %>
<%@ include file="/jsp/common/adminbanner.jsp" %>

<%

// AR 27201 using new date-picker.js from common folder and translations from javascriptMessages.vdf
final DSConfig dsconfig = ConfigManager.getInstance().getDSConfig();
final String templatesPath = dsconfig.getTemplatesPath();
final VDFManager vdfManager = new VDFManager(new File(templatesPath), new String[] {"local", "system", "error"} );
final VDF vdfInst = vdfManager.lookup("javascriptMessages", mLocale);
final String sessionId = DSSessionManager.getInstance().updateMapsAndCookie(request, response, mDSSession, mDSSession.getCredential(), true);  
final VDFSession vdfSession = new VDFSession(mDSSession, vdfManager, sessionId, null, request.getSession(), request, response);
final VDFRequestImpl vdfRequest = new VDFRequestImpl(vdfSession);
final VDFContext vdfContext = new VDFContext(vdfInst, vdfSession, vdfRequest);

//out.print("\n" + dsconfig + " " + templatesPath + " " + vdfManager + " " + vdfInst + " " + vdfSession + " " + vdfContext);
%>

<%! 
public static String getDateTimeStringFormat(String format, Locale locale) {
	String dateFormat = null;
	DSConfig dsconfig = ConfigManager.getInstance().getDSConfig();
	// Some language packs may have several date format locales in the messages_x.properties file;
	// e.g. en (default and also name of pack) and en_US.
	String dateFormatLocale = dsconfig.getDateFormatLocale(locale);
	if (dateFormatLocale == null || dateFormatLocale.length() < 1) // just read the default formats which have no extensions.
	    dateFormat = MessageDB.get(format, locale);
	else {
	    if (dateFormatLocale.toString().equals(locale.toString()))
		dateFormat = MessageDB.get(format, locale);
	    else
		dateFormat = MessageDB.get(format+"_"+dateFormatLocale, locale);
	}
	return dateFormat;
    }
%>

<!-- AR 27201 using new date-picker.js from common folder and translations from javascriptMessages.vdf -->
  <script type="text/javascript"> //<![CDATA[
    var dsDatePicker = {
       january : "<%=(String) vdfContext.lookupDefinition("january").getDefinition()%>",
       february : "<%=(String) vdfContext.lookupDefinition("february").getDefinition()%>",
       march : "<%=(String) vdfContext.lookupDefinition("march").getDefinition()%>",
       april : "<%=(String) vdfContext.lookupDefinition("april").getDefinition()%>",
       may : "<%=(String) vdfContext.lookupDefinition("may").getDefinition()%>",
       june : "<%=(String) vdfContext.lookupDefinition("june").getDefinition()%>",
       july : "<%=(String) vdfContext.lookupDefinition("july").getDefinition()%>",
       august : "<%=(String) vdfContext.lookupDefinition("august").getDefinition()%>",
       september : "<%=(String) vdfContext.lookupDefinition("september").getDefinition()%>",
       october : "<%=(String) vdfContext.lookupDefinition("october").getDefinition()%>",
       november : "<%=(String) vdfContext.lookupDefinition("november").getDefinition()%>",
       december : "<%=(String) vdfContext.lookupDefinition("december").getDefinition()%>",
       sun : "<%=(String) vdfContext.lookupDefinition("sun").getDefinition()%>",
       mon : "<%=(String) vdfContext.lookupDefinition("mon").getDefinition()%>",
       tue : "<%=(String) vdfContext.lookupDefinition("tue").getDefinition()%>",
       wed : "<%=(String) vdfContext.lookupDefinition("wed").getDefinition()%>",
       thu : "<%=(String) vdfContext.lookupDefinition("thu").getDefinition()%>",
       fri : "<%=(String) vdfContext.lookupDefinition("fri").getDefinition()%>",
       sat : "<%=(String) vdfContext.lookupDefinition("sat").getDefinition()%>",
       Calendar_label : "<%=(String) vdfContext.lookupDefinition("Calendar_label").getDefinition()%>",
       prevYear_label : "<%=(String) vdfContext.lookupDefinition("prevYear_label").getDefinition()%>",
       prevMonth_label : "<%=(String) vdfContext.lookupDefinition("prevMonth_label").getDefinition()%>",
       nextMonth_label : "<%=(String) vdfContext.lookupDefinition("nextMonth_label").getDefinition()%>",
       nextYear_label : "<%=(String) vdfContext.lookupDefinition("nextYear_label").getDefinition()%>",
       theme_url : "<%=request.getContextPath()%>/themes/<%=theme_name%>/"
    };
    //]]>
  </script>
  
  <script language="JavaScript" src="<%=request.getContextPath()%>/javascript/common/date-picker.js"> </script>

<SCRIPT LANGUAGE="JavaScript">

function goBack() {
   var url = "ListWorkflowsPage.jsp";
   window.location.href = url;
}

</SCRIPT>

<%@taglib uri="http://com.xerox.docushare/docushare/amber" prefix="amber"%>

<Form Name="DeleteArchivePage" Action="ListWorkflowsPage.jsp" Method="Post">
<%= getMessage("workflow_started_before") %>

<Table border=0 cellpadding=1 cellspacing=1>
<Tr><Td><Input Type="Radio" Name="Period" Value="<%= mOneYearAgo %>" tabindex="1" checked></Td><Td> <%= getMessage("ONE_YEAR") %> - </Td><Td><%= mOneYearAgo %></Td></Tr>
<Tr><Td><Input Type="Radio" Name="Period" Value="<%= mOneMonthAgo %>" tabindex="1"></Td><Td> <%= getMessage("THIRTY_DAYS") %> - </Td><Td><%= mOneMonthAgo %></Td></Tr>
<Tr><Td><Input Type="Radio" Name="Period" Value="<%= mOneWeekAgo %>" tabindex="1"></Td><Td> <%= getMessage("ONE_WEEK") %> - </Td><Td><%= mOneWeekAgo %></Td></Tr>
<Tr><Td><Input Type="Radio" Name="Period" Value="<%= mOneDayAgo %>" tabindex="1"></Td><Td> <%= getMessage("ONE_DAY") %> - </Td><Td><%= mOneDayAgo %></Td></Tr>
<Tr>
<Td><Input Type="Radio" Name="Period" Value="specific" tabindex="1"></Td>
<Td><%= getMessage("specific") %> - </Td>
<Td><Input Type="Text" Name="specific_date" tabindex="1">
<!--AR31164: [ds661update3p1hf1]Wrong date format in workflow manager delete workflow page causes unintended deletion of workflows.-->
<a href="javascript:show_calendar('DeleteArchivePage.specific_date', '<%= getDateTimeStringFormat("date_short_4", mLocale) %>', '<%= docbase %>');">
<img src="<%= docbase %>images/calendar.gif" align="absmiddle" border="0">
</a>
</Td></Tr>

<% if(mShowDelete) { %>

<Tr><Td><Input Type="Checkbox" Name="Incomplete"></Td><Td colspan=2><%= getMessage("workflow_incomplete") %></Td></Tr>

<% } %>

<Tr><Td colspan=2>&nbsp;</Td><Td>
<Input Type="Button" Value="<%= getMessage("button.back") %>" onClick="goBack();">
<Input Type="Submit" Name="<%= mShowDelete ? "DeleteOld" : "Archive" %>" Value="<%= getMessage("button.submit") %>"> 
</Td></Tr></Table>
</Form>
<p>


<%@ include file="/jsp/common/adminfooter.jsp" %>
<%@ include file="/jsp/common/end.jsp" %>
</html>
