<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
    	
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<%@ page import="java.util.Date" %>
<%@ page import="java.io.File" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="com.xerox.docushare.*" %>

<%@ page import="jp.co.fujixerox.docushare.amber.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.vdf.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.object.VDFRequestImpl" %>

<%@ page import="com.xerox.docushare.object.DSUser" %>
<%@ page import="com.xerox.docushare.routing.StepData" %>
<%@ page import="com.xerox.docushare.amber.util.MessageDB" %>
<%@ page import="com.xerox.docushare.amber.util.GenericUtil" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<jsp:useBean id="wizardBean" scope="session" class="com.xerox.docushare.routing.WizardBean" />
<jsp:useBean id="browserInfo" scope="session" class="com.xerox.docushare.routing.BrowserInfo">
  <% browserInfo.setUserAgent(request.getHeader("USER-AGENT")); %>
</jsp:useBean>
<jsp:useBean id="dsrouting" scope="session" class="com.xerox.docushare.routing.DSRouting" />
<%

final DSSession dsSession = (DSSession)request.getAttribute("DSSession");
final java.util.Locale locale = dsSession.getLocale();

// AR 27201 using new date-picker.js from common folder and translations from javascriptMessages.vdf
final WebRequest webRequest = (WebRequest)request.getAttribute("WebSession");
final VDF vdfInst = webRequest.getVDFSession().lookupVDF("javascriptMessages");
final VDFRequestImpl vdfRequest = new VDFRequestImpl(webRequest.getVDFSession());
final VDFContext vdfContext = new VDFContext(vdfInst, webRequest.getVDFSession(), vdfRequest);

DSUser dsUser = (DSUser)dsSession.getLoginPrincipal();
boolean isCPXUser = DSUserLevels.CPX_LEVEL.equals(dsUser.getUserLevel());
String cssFile = isCPXUser?"routing_wizard_cpx.css":"routing_wizard.css";
if(wizardBean.getOwner().equals("owner")){
%>
	<script language="javascript">
	<!-- Hide code from non-js browsers
		alert("<%=MessageDB.get("routing_session_timed_out", locale)%>");
	//-->
	</script>
<%
	out.print("\n<script language=\"javascript\">parent.close();</script>");
	return;
}
if(dsUser.isGuestUser()){
    out.print("\n<script language=\"javascript\">parent.close();</script>");
    return;
}
String fileSeparator = System.getProperty("file.separator").equals("/")?"/":"\\";

int curStep = wizardBean.setCmd_fromPage(request);
int fromPage = wizardBean.getFromPage();
String keySuffix = dsrouting.getDateKeySuffix(request); //AR8506+
String dateFormat = MessageDB.get("date_short_4"+keySuffix, locale); //AR8506+ keySuffix
String Page = MessageDB.get("page", locale);
%>
<TITLE><%=MessageDB.get("routing_wizard_title", new Object[]{"3", ""+curStep}, locale)%></TITLE>
  <%@ include file="ThemeUtil.jsp" %>
  
<%
// DocuShare Base CSS
%>
<link rel="stylesheet" href="<%=request.getContextPath()%>/themes/<%=theme_name%>/routing_wizard.css" type="text/css"></link>
<style>#header h1{background:url(<%=request.getContextPath()%>/themes/<%=theme_name%>/images/branding_docushare.gif) 0% 0% no-repeat;}</style>
<%
// Market-specific styling for XC
// ******************************
if (! ("FX".equals(dsSession.getServerProperty(DSSession.companyBrand)))) {

   // Enterprise Edition Licensed Site
   if (dsSession.getServer().isLicensed( DSLicenseCodes.ENTERPRISE_EDITION )) {
   %>   
   <style>#header h1{background:url(<%=request.getContextPath()%>/themes/<%=theme_name%>/images/branding_docushare_enterprise.gif) 0% 0% no-repeat;}</style>
   <%
   // Education Edition Licensed Site 
   } else if (dsSession.getServer().isLicensed( DSLicenseCodes.EDUCATION_EDITION )) {
   %>
   <style>#header h1{background:url(<%=request.getContextPath()%>/themes/<%=theme_name%>/images/branding_docushare_education.gif) 0% 0% no-repeat;}</style>
   <%
   }
// Market-specific styling for FX
// ******************************
} else {
   // Education Edition Licensed Site
   if (dsSession.getServer().isLicensed( DSLicenseCodes.EDUCATION_EDITION )) {
   %>   
   <style>#header h1{background:url(<%=request.getContextPath()%>/themes/<%=theme_name%>/images/branding_docushare_education.gif) 0% 0% no-repeat;}</style>
   <%
   // CPX logo shows up only for CPX users when NOT licensed for the Education Edition  
   } else if (dsSession.getLoginPrincipal().isUserLevel(DSUserLevels.CPX_LEVEL)) {
   %>
   <style>#header h1{background:url(<%=request.getContextPath()%>/themes/<%=theme_name%>/images/branding_docushare_cpx.gif) 0% 0% no-repeat;}</style>
   <%
   }

}
%>
  
<script type="text/javascript" src="<%=request.getContextPath()%>/javascript/common/dsutils.js" > </script>

<!-- AR 27201 using new date-picker.js from common folder and translations from javascriptMessages.vdf -->  
  <script type="text/javascript"> //<![CDATA[
    var dsDatePicker = {
       january : "<%=(String) vdfContext.lookupDefinition("january").getDefinition()%>",
       february : "<%=(String) vdfContext.lookupDefinition("february").getDefinition()%>",
       march : "<%=(String) vdfContext.lookupDefinition("march").getDefinition()%>",
       april : "<%=(String) vdfContext.lookupDefinition("april").getDefinition()%>",
       may : "<%=(String) vdfContext.lookupDefinition("may").getDefinition()%>",
       june : "<%=(String) vdfContext.lookupDefinition("june").getDefinition()%>",
       july : "<%=(String) vdfContext.lookupDefinition("july").getDefinition()%>",
       august : "<%=(String) vdfContext.lookupDefinition("august").getDefinition()%>",
       september : "<%=(String) vdfContext.lookupDefinition("september").getDefinition()%>",
       october : "<%=(String) vdfContext.lookupDefinition("october").getDefinition()%>",
       november : "<%=(String) vdfContext.lookupDefinition("november").getDefinition()%>",
       december : "<%=(String) vdfContext.lookupDefinition("december").getDefinition()%>",
       sun : "<%=(String) vdfContext.lookupDefinition("sun").getDefinition()%>",
       mon : "<%=(String) vdfContext.lookupDefinition("mon").getDefinition()%>",
       tue : "<%=(String) vdfContext.lookupDefinition("tue").getDefinition()%>",
       wed : "<%=(String) vdfContext.lookupDefinition("wed").getDefinition()%>",
       thu : "<%=(String) vdfContext.lookupDefinition("thu").getDefinition()%>",
       fri : "<%=(String) vdfContext.lookupDefinition("fri").getDefinition()%>",
       sat : "<%=(String) vdfContext.lookupDefinition("sat").getDefinition()%>",
       Calendar_label : "<%=(String) vdfContext.lookupDefinition("Calendar_label").getDefinition()%>",
       prevYear_label : "<%=(String) vdfContext.lookupDefinition("prevYear_label").getDefinition()%>",
       prevMonth_label : "<%=(String) vdfContext.lookupDefinition("prevMonth_label").getDefinition()%>",
       nextMonth_label : "<%=(String) vdfContext.lookupDefinition("nextMonth_label").getDefinition()%>",
       nextYear_label : "<%=(String) vdfContext.lookupDefinition("nextYear_label").getDefinition()%>",
       theme_url : "<%=request.getContextPath()%>/themes/<%=theme_name%>/"
    };
    //]]>
  </script>
</head>

<body id="wiz_page3">
    <div id="header">
        <h1>DocuShare</h1>
        <h2><%=MessageDB.get("routing_wizard_title", new Object[]{"3", ""+curStep}, locale)%></h2>
        <div id="header-wrapper"><p><strong><%=MessageDB.get("Username", locale)%>:</strong> <%= GenericUtil.getShortName(dsUser, dsSession) %></p></div>
        <ul id="subheader">
            <li class="nav_label"><%=MessageDB.get("routing_wizard_header", new Object[]{curStep, wizardBean.getSteps()},locale)%>:</li>
            <li class="wiz_page1"><%=Page%> 1 &raquo;</li>
            <li class="wiz_page2"><%=Page%> 2 &raquo;</li>
            <li class="wiz_page3"><%=Page%> 3 &raquo;</li>
            <li class="wiz_review"><%=MessageDB.get("routing_wizard_review", locale)%></li>
        </ul>
    </div>
    
    <div id="content">
        <h2><%=MessageDB.get("routing_wzdp3_header", locale)%></h2>
        <p><%=MessageDB.get("routing_wzdp3_desc", locale)%></p>

<form name="routingForm" method="POST" action="wizard_p1.jsp">
<input type=hidden name="cmd">
<input type=hidden name="report_base" value="false">
<input type=hidden name="docs" value="<%=wizardBean.getDocumentsString()%>">
<input type=hidden name="dateFormat" value="<%=dateFormat%>">

<script language="javascript">
<!-- Hide code from non-js browsers
var fm = self.document.forms[0];
//alert('docs = '+ fm.docs.value);

<%@include file="wizard_functions.js" %>

function datePicked()
{
  fm.hasByDate.checked = true;
}
//-->
</script>

<script language="JavaScript" src="<%=request.getContextPath()%>/javascript/common/date-picker.js"> </script>

<h3><%=MessageDB.get("routing_wzdp3_escalation", locale)%></h3>
<%
StepData curStepData = wizardBean.getStep(curStep);
Date byDate = curStepData.getByDate();
Integer byDays = curStepData.getByDays();
Date overdueDate = curStepData.getOverdueDate(); //obtained from either byDate or byDays
//out.print("byDate = "+ byDate +"<br>");
//out.println("vdfContext " + vdfContext);
int[] val = {0,1,3,7,30,60};
String[] key = {"Today","ONE_DAY","THREE_DAYS","ONE_WEEK","THIRTY_DAYS","SIXTY_DAYS"};
String[] sel = new String[val.length];
for(int i=0; i<val.length; i++){
    if(byDays == null)
        sel[i] = "";
    else
        sel[i] = (byDays.intValue()==val[i])?" selected":"";
}

String docbase = request.getContextPath() + "/";
%>

<table class="propstable">
    <tr><td colspan="2">
    <input type="checkbox" name="hasByDate" <%= (overdueDate!=null)?"checked":"" %>/>
    <strong><%=MessageDB.get("routing_wzdp3_if", locale)%>:</strong>
    </td></tr>
    <tr>
    <td style="text-indent:20px"><input tabindex="1" <%= (byDate!=null)?"CHECKED=\"true\"":"" %>
     value="true" name="isReal" type="RADIO" /><%=MessageDB.get("routing_wzdp3_by", locale)%> </td>
    <td><input type="text" name="byDate" value="<%= (byDate!=null)?(new SimpleDateFormat(dateFormat)).format(byDate):MessageDB.get("form.date.formatter.forDisplay"+keySuffix, locale) %>" /> 
    <!--AR7557-: onChange="if(byDate.value.length==10) hasByDate.checked=true; else {hasByDate.checked=false; byDate.value='MM/dd/yyyy';}"> -->
    <a style="border:0" href="#"
    onclick="show_calendar('routingForm.byDate', '<%= dateFormat %>', '<%= docbase %>', datePicked); return false">
    <img src="images/calendar.gif" alt="<%=MessageDB.get("routing.report_base.cal_date", locale)%>"
    title="<%=MessageDB.get("routing.report_base.cal_date", locale)%>" border="0" /></a> </td>
    </tr>

    <tr>
    <td style="text-indent:20px">
    <input tabindex="1" <%= (byDate==null && byDays!=null)?"CHECKED=\"true\"":"" %> value="false"
     name="isReal" type="RADIO" /><%=MessageDB.get("routing_wzdp3_within_days", locale)%> </td>
    <td><select tabindex="1" size="1" name="RelativeList">
        <OPTION VALUE="none"><%=MessageDB.get("select", locale)%>...</OPTION>
<%
for(int i=0; i<sel.length; i++)
    out.println("        <OPTION VALUE=\"" + val[i] +'"'+ sel[i] +">"+ MessageDB.get(key[i], locale) +"</OPTION>");
%>
    </select> &nbsp; <%=MessageDB.get("or", locale)%> &nbsp; 
    <input tabindex="1" value="" type="Text"
    name="CustomDays" />&nbsp; <%=MessageDB.get("Days", locale)%> &nbsp;</td>
    </tr>
    <tr><td colspan="2" style="padding-top:20px">
    <%=MessageDB.get("routing_wzdp3_then", locale)%>:
    <select name="escalationAction">
  <%
  String esAction = ""+ curStepData.getEscalationAction();
  String Done = MessageDB.get("button.done", locale);
  %>
  <option value=""><%=MessageDB.get("routing_wzdp3_escalation_action", locale)%> </option>
  <option value="Cancel" <%= esAction.equals("Cancel")?"selected":"" %>> <%=MessageDB.get("routing_wzdp3_action_cancel", locale)%> </option>
  <option value="Next" <%= esAction.equals("Next")?"selected":"" %>> <%=MessageDB.get("routing_wzdp3_action_next", locale)%> </option>
  <option value="Remind" <%= esAction.equals("Remind")?"selected":"" %>> <%=MessageDB.get("routing_wzdp3_action_remind", locale)%> </option>
</select>
</td></tr>
</table>

<h3><%=MessageDB.get("routing_wzdp4_notification", locale)%></h3>
    <table class="propstable">
    <tr><td><strong><%=MessageDB.get("routing_wzdp3_notify_me", locale)%></strong></td></tr>
    <tr><td><input type=checkbox name="notifyOverdue" <%= curStepData.getNotifyOverdue()?"checked":"" %>> <%=MessageDB.get("routing_wzdp3_of_escalation", locale)%> </input></td></tr>
    <tr><td><input type=checkbox name="notifyReply" <%= curStepData.getNotifyReply()?"checked":"" %>> <%=MessageDB.get("routing_wzdp3_of_progress", locale)%> </input></td></tr>
    <tr><td><input type=checkbox name="notifyCompletion" <%= curStepData.getNotifyCompletion()?"checked":"" %>> <%=MessageDB.get("routing_wzdp3_when_complete", locale)%> </input></td></tr>
    </table>

    <input type="hidden" name="fromPage" value="3" /> 
    <div id="buttonbar">
    <p class="noteinline"><%=MessageDB.get("routing_wzdp3_click_done", new Object[]{"<strong>"+Done+"</strong>", ""+curStep}, locale)%></p><br/>
    <input type="submit" value="&laquo; <%=MessageDB.get("button.back", locale)%>" onClick="fm.cmd.value='Back'; fm.action='wizard_p2.jsp';">
    <input type="submit" value="<%=MessageDB.get("button.next", locale)%> &raquo;" disabled>
    <input type="submit" value="<%=Done%>" onClick="fm.cmd.value='Done'; fm.action='wizard_p4.jsp';">
    <input type="button" value="<%=MessageDB.get("button.cancel", locale)%>" onClick="parent.close();">		      
    </div>     
    </div>
</form>
</body>
</html>
